<!DOCTYPE html>
<html>
  <head>
    <title>em.def blog</title>
    <meta charset="utf-8"/>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
    <link href='https://fonts.googleapis.com/css?family=Helvetica:300,400,700' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="../main.css">
  </head>

  <body>
    <header class="container-fluid">
      <div class="row">
        <h1 class="col-sm-4"  style="color:#202020">e<a href="../index.html">m.def</a></h1>
        <nav class="col-sm-12 text-right">
          <a href="https://gitlab.com/mitaleeparikh/mitalee.parikh"><img class="img-fit" src="../meta/icons/009-photos.png" height="20" width="20"></a>
            &ensp;
          <a href="mailto:emaitee@gmail.com"><img class="img-fit" src="../meta/icons/005-diamond.png" height="20" width="20"></a>
        </nav>
      </div>
    </header>

    <section class="row">
      <section class="col-md-3">
           <nav id="leftnav">
            <a href="../fabacademy/pppm.html">Principles, Practices and Project Management</a><br>
            <a href="../fabacademy/cad.html">Computer-aided Design</a><br>
            <a href="../fabacademy/ccc.html">Computer-controlled Cutting</a><br>
            <a href="../fabacademy/ep.html">Electronics Production</a><br>
            <a href="../fabacademy/3dps.html">3D printing and scanning</a><br>
            <a href="../fabacademy/ed.html">Electronics Design</a><br>
            <a href="../fabacademy/ccm.html">Computer-controlled Machining</a><br>
            <a href="../fabacademy/mc.html">Molding and Casting</a><br>
            <a href="../fabacademy/wc.html">Wild Card Week</a><br>
            <a href="../fabacademy/iipi.html">Invention, Intellectual Property and Income</a><br>
            <a href="../fabacademy/input.html">Inputs</a><br>
            <a href="../fabacademy/output.html">Outputs</a><br>
            <a href="../fabacademy/mdef.fp.html">MDEF Final Project</a><br>
          </nav>
      </section>

      <section class="col-md-6">


          <h1>Computer controlled cutting</h1>
          <p>This week I worked on designing parametrically for laser cutting.
          Also, tried out cutting small things on the vinyl cutter.</p>
          <h2>Laser cutting</h2>
          <h3>Designing the construction kit</h3>
          <p>I sketched out a simple module so all dimensions were a multiple of the either the:  </p>
          <ol>
            <li>Thickness of material  </li>
            <li>Kerf</li>
          </ol>
            <p>I wanted to keep the module itself simple so that it would:  </p>
          <li>Use less material </li>
          <li>Provide multiple ways of assembly</li><br>
          <p>So I sketched out frame modules with notches at the ends for connections.</p><br><img class="img-fit" src="../fabacademy/images/week3/sketch.jpg" alt="module idea sketch">

          <h3>The script</h3>
          <p>After various attempts in rhino+grasshopper and fusion360, I found a tutorial on notching. I tried that out, modified it to work for my module idea, and then ended up with a file where you could modify:  </p>
          <ol>
          <li>Thickness of Material  </li>
          <li>Kerf of laser  </li>
          <li>Number of arms on the module  </li>
          <li>Type of notch - press-fit, chamfer, or snap-fit
          </ol>

          <p>You can find the script at the bottom of this page.</p>
          <p>Some attempted scripts that didn't work as a whole:</p>
          <img class="img-fit" src="../fabacademy/images/week3/1.jpg" ><br><br>
          <img class="img-fit" src="../fabacademy/images/week3/2.jpg" ><br><br>
          <img class="img-fit" src="../fabacademy/images/week3/3.jpg" ><br><br>
          <img class="img-fit" src="../fabacademy/images/week3/4.jpg" ><br><br>


          <h3>The machine</h3>
          <p>We could use one of <a href="https://fablabbcn.org/machines.html">three laser cutters at FabLabBCN</a>. I started with the smallest Trotec Speedy 100 this week.
          It has a bed size of 610mm x 305mm and power of 12-60W.
          It is good for cutting paper, cardboard, MDF, plywood, acrylic.</p>
          <h3>Material dimensions</h3>
          <p>First I cut out a ply of 300mm by 600mm out of a big sheet. Using a vernier calliper I measured the thickness of the material in several places.<br><img class="img-fit" src="../fabacademy/images/week3/material.jpg" alt="Material thickness: 4.35 mm"></p>
          <h3>Setting focus</h3>
          <p>The focus of the machine can be set by adjusting the distance of the Z axis of the bed from the material&#39;s top surface. We have a small probe at the lab, an attachment that you hang on the side of the laser nozzle. You manually move the bed up and when the probe touches the material, it falls off. This position sets the z-axis of the machine.<br><img class="img-fit" src="../fabacademy/images/week3/focus.gif" alt="gif of probe falling"></p>
          <h3>Measuring kerf</h3>
          <p>First, I cut a small square of 20mm x 20mm to check:  </p>
          <ol>
          <li>Power and speed settings - I used the cutting guide to set the power to 75% and speed to 0.5mm/s for cutting.  </li>
          <li>Kerf - After measuring the outside dimension of the square itself and the inside dimension of the negative left in the sheet, I divided the difference by 2 and found the kerf of the machine to be 0.15mm.  </li>
          </ol>
          <p><img class="img-fit" src="../fabacademy/images/week3/inside.jpg"><br><br>
          <img class="img-fit" src="../fabacademy/images/week3/outside.jpg"><br><br>
          <img class="img-fit" src="../fabacademy/images/week3/difference.jpg"><br><br>
          <h3>Add to parametric file</h3>
          <p>Now that I had found my 2 parameters : thickness=4.35mm and kerf=0.15mm, I adjusted the sliders on my gh script.<br><img class="img-fit" src="../fabacademy/images/week3/parameters.jpg" alt="Parameters"></p>
          <h3>Bake model</h3>
          <p>I tried multiple different combinations of the number of module arms, and the type of notches to test everything and baked them separately. I adjusted them manually in Rhino to fit inside 300mm by 600mm.
          I put them in a the same layer in black for cutting.<br>Here is the <a href="">Rhino file</a>.<br><img class="img-fit" src="../fabacademy/images/week3/modules.jpg" alt="various modules"></p>
          <h3>Set cutting parameters</h3>
          <p>Checked for no duplicate and all flat lines, and set material parameters.</p>
          <img class="img-fit" src="../fabacademy/images/week3/settings.jpg" alt="settings"><br><br>
          <h3>Assembly</h3>
          <p>The pieces came out neat using the cutting settings.
          <img class="img-fit" src="../fabacademy/images/week3/pieces.jpg"><br>
          Some different assemblies:<br>
          <img class="img-fit" src="../fabacademy/images/week3/assembly1.jpg"><br><br>
          <img class="img-fit" src="../fabacademy/images/week3/assembly2.jpg"><br><br>
          <img class="img-fit" src="../fabacademy/images/week3/assembly3.jpg"><br><br>
          <h3>For next time:</h3>
          <ol>
          <li>Cut inside parts first, because the piece shifted when it cut the outside first. Put them in a separate layer.  </li>
          <li>Since ply is a little warped - put the material concave side up to allow sticking the edges to the bed.<br><img class="img-fit" src="../fabacademy/images/week3/warped.jpg"></li>
          <li>Lots of material wasted in the sheet - use nesting software/plug-in to optimise curves.<br><img class="img-fit" src="../fabacademy/images/week3/waste.jpg">  </li>
          <li>Modules too big and long - modify some multiples of thickness in script and make them shorter.  </li>
          <li>The snapping part of the snap-fit notch was too small (equal to the kerf) - modify the script to make it bigger.<br><img class="img-fit" src="../fabacademy/images/week3/snap.jpg"></li>
          </ol>
          <h3>Design Files</h3>
          <p>Final files: <a href="../fabacademy/images/week3/notch.rhino.zip">The rhino notch file</a> used with this <a href="../fabacademy/images/week3/parametric.modules.gh.zip">grasshopper script</a></p>
          <p><a href="../fabacademy/images/week2/fusion.zip">All failed Fusion files</a><br><a href="../fabacademy/images/week3/gh.zip">All grasshopper script attemps</a>  </p>

          <h2>Vinyl cutting</h2>
          <p> I used a Roland Camm-1 in our lab to cut some white vinyl stickers.</p>
          <p> <img class="img-fit" src="../fabacademy/images/week3/machine.jpg" >  </p>
          <h3>Designing a vector sketched</h3>
          <p>I made two sketches, one an axonometric cube stack and the other a some letters.
          I cut some simple curves that I made on Adobe Illustrator. I made them with the line tool. Gave some thickness to the lines. Made path outlines and then did a boolean union on pathfinder tools to make single outlines.
          The figure on the left is outlines, the one on the right is just paths.
          <img class="img-fit" src="../fabacademy/images/week3/designing.jpg" >  </p>
          <h3>Testing and setting Parameters</h3>
          <p>After loading the material as a roll, I used these settings:<br>Speed: 5cm/s<br>Force: 180 gf<br>Depth: 0.250mm  </p>
          <p><img class="img-fit" src="../fabacademy/images/week3/setting.jpg" >  </p>
          <p>I tried the first test cut and it came out perfectly. The circle outside the inner square came out perfectly without cutting through the backing.</p>
          <p><img class="img-fit" src="../fabacademy/images/week3/test.jpg" >  </p>
          <h3>Loading file and cutting</h3>
          <p>So I loaded my design file and used the ai Roland plug-in to cut.
          The cutting was quite fast. Here is a picture of the vinyl still loaded:
          <img class="img-fit" src="../fabacademy/images/week3/cutting.jpg" >  </p>
          <h3>Peeling Vinyl</h3>
          <p>After finishing, I unloaded the vinyl and cut out the parts separately.
          <img class="img-fit" src="../fabacademy/images/week3/cut.jpg">  </p>
          <p>I then used a nose-end tweezer and started to remove all the negative parts. It actually took some time, as they were as thin and intertwined with the positives.
          Here are some pictures of that process:
          <img class="img-fit" src="../fabacademy/images/week3/peel1.jpg" ><br><img class="img-fit" src="../fabacademy/images/week3/peel2.jpg" >  </p>
          <p>And this is how it looks like:
          <img class="img-fit" src="../fabacademy/images/week3/peel3.jpg" >  </p>
          <p>I haven&#39;t yet applied to any surface, but I will have to do this step carefully, as the parts are quite thin.</p>
          <h3>Design files</h3>
          <p><a href="../fabacademy/images/week3/vinylcutter.ai.zip">AI file</a>  </p>


      </section>

    </section>

    <div class="footer">
        <div class="row">
        <div class="col-md-2">
          <p>&copy; 2019-20 <a href="https://www.linkedin.com/in/mitaleeparikh">Mitalee Parikh</a></p>
        </div>
        <div class="col-md-7">
          <p>This site is a documentation of my work done in 2019-2020 as a part of the <a href="https://mdef.iaac.net">Master in Design for Emergent Futures</a> programme at the <a href="https://iaac.net/educational-programmes/masters-programmes/master-in-design-for-emergent-futures-mdef/">Institute of Advanced Architecture of Catalonia</a> and <a href="https://elisava.net/en">Elisava Barcelona School of Design and Engineering</a> in collaboration with <a href="https://fabacademy.org/">FabAcademy.</p>
        </div>
        <div class="col-md-2">
        </div>
        <div class="col-md-1">
          <a href="https://www.instagram.com/emaitee/"><img class="img-fit" src="../meta/icons/011-cd.png" height="20" width="20">&ensp;
          <a href="https://www.goodreads.com/review/list/5828563-mitalee-parikh?shelf=mdef"><img class="img-fit" src="../meta/icons/013-radar.png" height="20" width="20">&ensp;
          <a href="https://twitter.com/MitaleeParikh"><img class="img-fit" src="../meta/icons/009-photos.png" height="20" width="20">
        </div>
        </div>
    </div>

  </body>

</html>
